Opened 9 years ago

Closed 7 years ago

#5361 closed defect (wontfix)

uses python difflib without checking it exists

Reported by: weasel Owned by: asn
Priority: Medium Milestone:
Component: Archived/Obfsproxy Version: Obfsproxy: 0.1.0
Severity: Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

this ubuntu chroot has python 2.7 minimal installed:

checking for a Python interpreter with version >= 2.6... python
checking for python... /usr/bin/python
checking for python version... 2.7
checking for python platform... linux2
checking for python script directory... ${prefix}/lib/python2.7/site-packages
checking for python extension module directory... ${exec_prefix}/lib/python2.7/site-packages

...

28 tests ok.  (0 skipped)
PASS: unittests
Traceback (most recent call last):
  File "./tester.py", line 12, in <module>
    import difflib
ImportError: No module named difflib
FAIL: tester.py
===================
1 of 2 tests failed

Child Tickets

Change History (2)

comment:1 Changed 9 years ago by rransom

The standard library in Python 2.6 and later includes difflib. Why should obfsproxy's configure script check for a library that is supposed to be included in every Python 2.6 installation?

comment:2 Changed 7 years ago by asn

Resolution: wontfix
Status: newclosed

This ticket is about the old C-based obfsproxy. Closing.

Note: See TracTickets for help on using tickets.